#
# Conditional build:
%bcond_without	systemd	# systemd support
#
Summary:	Simple process monitor
Summary(pl.UTF-8):	Prosty monitor procesów
Name:		gnome-system-monitor
Version:	47.1
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/gnome-system-monitor/47/%{name}-%{version}.tar.xz
# Source0-md5:	f6e69d246adc5445228c82011fac118a
Patch0:		%{name}-no-update.patch
URL:		https://apps.gnome.org/SystemMonitor/
BuildRequires:	atkmm-devel >= 2.28
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools >= 0.19.8
# -std=c2x
BuildRequires:	gcc >= 6:11
BuildRequires:	glib2-devel >= 1:2.56.0
BuildRequires:	glibmm2.68-devel >= 2.68
BuildRequires:	gtk4-devel >= 4.12.0
BuildRequires:	gtkmm4-devel >= 4.0.0
BuildRequires:	libadwaita-devel >= 1.6
BuildRequires:	libgtop-devel >= 1:2.41.2
BuildRequires:	librsvg-devel >= 2.46
# -std=gnu++20
BuildRequires:	libstdc++-devel >= 6:8
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	libxml2-progs
BuildRequires:	meson >= 0.57.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 2.042
%{?with_systemd:BuildRequires:	systemd-devel >= 44}
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	glib2 >= 1:2.56.0
Requires:	atkmm >= 2.28
Requires:	glib2 >= 1:2.56.0
Requires:	glibmm2.68 >= 2.68
Requires:	gtk4 >= 4.12.0
Requires:	gtkmm4 >= 4.0.0
Requires:	hicolor-icon-theme
Requires:	libadwaita >= 1.6
Requires:	libgtop >= 1:2.41.2
Requires:	librsvg >= 2.46
Obsoletes:	procman < 1.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a simple process and system monitor.

%description -l pl.UTF-8
GNOME System Monitor to prosty monitor procesów i systemu.

%prep
%setup -q
%patch -P0 -p1

%build
%meson \
	%{!?with_systemd:-Dsystemd=false}

%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

# not supported by glibc (as of 2.37)
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ie

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS MAINTAINERS NEWS README.md
%attr(755,root,root) %{_bindir}/gnome-system-monitor
%dir %{_libexecdir}/gnome-system-monitor
%attr(755,root,root) %{_libexecdir}/gnome-system-monitor/gsm-kill
%attr(755,root,root) %{_libexecdir}/gnome-system-monitor/gsm-renice
%attr(755,root,root) %{_libexecdir}/gnome-system-monitor/gsm-taskset
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-system-monitor.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-system-monitor.gschema.xml
%{_datadir}/gnome-system-monitor
%{_datadir}/metainfo/org.gnome.SystemMonitor.appdata.xml
%{_datadir}/polkit-1/actions/org.gnome.gnome-system-monitor.policy
%{_desktopdir}/gnome-system-monitor-kde.desktop
%{_desktopdir}/org.gnome.SystemMonitor.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.SystemMonitor.svg
%{_iconsdir}/hicolor/scalable/apps/org.gnome.SystemMonitor.Devel.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.SystemMonitor-symbolic.svg
%{_iconsdir}/hicolor/symbolic/apps/processes-symbolic.svg
%{_iconsdir}/hicolor/symbolic/apps/resources-symbolic.svg
%changelog
* Fri Feb 07 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-system-monitor.git;a=log;h=master

* Fri Feb 07 2025 Jakub Bogusz <qboosh@pld-linux.org> 60ee397
- use upstream meson macros

* Tue Feb 04 2025 Jakub Bogusz <qboosh@pld-linux.org> c3f94d6
- updated to 47.1

* Thu Oct 03 2024 Jakub Bogusz <qboosh@pld-linux.org> db0d0b0
- updated to 47.0

* Mon Jul 01 2024 Jakub Bogusz <qboosh@pld-linux.org> c184ae8
- updated to 46.0

* Mon Oct 30 2023 Jakub Bogusz <qboosh@pld-linux.org> 4dd8957
- updated to 45.0.2

* Thu Jul 27 2023 Jakub Bogusz <qboosh@pld-linux.org> 30fabe8
- updated to 44.0

* Sat Apr 16 2022 Jakub Bogusz <qboosh@pld-linux.org> 3282152
- updated to 42.0
- added no-update patch (don't require gtk4-update-icon-cache at build time)

* Mon Sep 27 2021 Jakub Bogusz <qboosh@pld-linux.org> bfb6c6d
- updated to 41.0

* Wed May 05 2021 Jakub Bogusz <qboosh@pld-linux.org> ce12d0a
- updated to 40.1

* Sat Mar 27 2021 Jakub Bogusz <qboosh@pld-linux.org> efb18fc
- updated to 40.0

* Sat Sep 12 2020 Jakub Bogusz <qboosh@pld-linux.org> 31e6380
- updated to 3.38.0

* Fri May 29 2020 Jakub Bogusz <qboosh@pld-linux.org> 676460c
- updated to 3.36.1

* Fri Apr 17 2020 Jakub Bogusz <qboosh@pld-linux.org> bf0136a
- updated to 3.36.0

* Tue Nov 26 2019 Jakub Bogusz <qboosh@pld-linux.org> 9a69ce4
- updated to 3.32.1

* Sat Jan 26 2019 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> cc2c8ec
- Updated to 3.30.0

* Wed Apr 04 2018 Marcin Banasiak <marcin.banasiak@gmail.com> adb2452
- Update to 3.28.0

* Sun Sep 24 2017 Marcin Banasiak <marcin.banasiak@gmail.com> d1556ce
- Update to 3.26.0

* Mon Jul 17 2017 Jakub Bogusz <qboosh@pld-linux.org> 8696548
- C++11 compiler is required

* Thu Mar 23 2017 Marcin Banasiak <marcin.banasiak@gmail.com> f8a5123
- Update to 3.24.0

* Sat Nov 12 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 6cd7cd4
- Update to 3.22.2

